> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update export content

> Update the status and adds content to the export.



## OpenAPI

````yaml openapi/findity-connect-api.json PUT /organizations/{organizationId}/exports/{exportId}/content
openapi: 3.0.3
info:
  title: Findity Connect API
  description: Findity Connect API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/connect
  - url: https://api.findity.com/api/v1/connect
security:
  - bearerAuth: []
paths:
  /organizations/{organizationId}/exports/{exportId}/content:
    put:
      tags:
        - Exports
      summary: Update export content
      description: Update the status and adds content to the export.
      parameters:
        - $ref: '#/components/parameters/organizationId'
        - $ref: '#/components/parameters/exportId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Content'
            example:
              data: >-
                L78                                                                                                  
                8933                                                                                                                                                                                                                            
                Expense report
                User                                                                                                                                                                                                                                            
                100                                                                                                                                                     
                2450               
                N                                                                                                                                           
                R1                                   
              isBinary: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: string
                  description:
                    type: string
              example:
                result: error
                description: failed to handle request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401Error'
              example:
                you are not authorized to access this endpoint:
                  value:
                    result: error
                    description: Not authorized
        '404':
          description: Not found error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Error'
              examples:
                organization not found:
                  value:
                    result: error
                    code: ORGANIZATION_NOT_FOUND
                    description: Organization not found
                export not found:
                  value:
                    result: error
                    code: EXPORT_NOT_FOUND
                    description: Export not found
components:
  parameters:
    organizationId:
      in: path
      name: organizationId
      required: true
      description: The id of the organization of the user
      schema:
        $ref: '#/components/schemas/Uuid'
      example: 05b8daba9ba14a49846fe77883248cf0
    exportId:
      in: path
      name: exportId
      required: true
      description: The external export id
      schema:
        $ref: '#/components/schemas/Uuid'
      example: 5872b62a126d458cb385b955c52bc5b2
  schemas:
    Content:
      type: object
      properties:
        data:
          type: string
        isBinary:
          type: boolean
      example:
        data: >-
          L78                                                                                                  
          8933                                                                                                                                                                                                                            
          Expense report
          User                                                                                                                                                                                                                                            
          100                                                                                                                                                     
          2450               
          N                                                                                                                                           
          R1                                   
        isBinary: true
    401Error:
      type: object
      properties:
        result:
          type: string
        description:
          type: string
    400Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````